public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/pyhoca-cli/
Date: Fri, 26 Feb 2021 14:26:33 +0000 (UTC)	[thread overview]
Message-ID: <1614349565.4473f3a6338ff271d2f42f956de3e5d26509b51c.sam@gentoo> (raw)

commit:     4473f3a6338ff271d2f42f956de3e5d26509b51c
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Thu Feb 25 17:57:23 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Feb 26 14:26:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4473f3a6

net-misc/pyhoca-cli: Port to python 3.{8,9}

Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-misc/pyhoca-cli/pyhoca-cli-0.6.1.2.ebuild | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

diff --git a/net-misc/pyhoca-cli/pyhoca-cli-0.6.1.2.ebuild b/net-misc/pyhoca-cli/pyhoca-cli-0.6.1.2.ebuild
index 3f2ee619345..107198b5c85 100644
--- a/net-misc/pyhoca-cli/pyhoca-cli-0.6.1.2.ebuild
+++ b/net-misc/pyhoca-cli/pyhoca-cli-0.6.1.2.ebuild
@@ -3,21 +3,26 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_7 )
+PYTHON_COMPAT=( python3_{7..9} )
 inherit distutils-r1
 
 DESCRIPTION="X2Go command line client"
 HOMEPAGE="http://www.x2go.org"
 SRC_URI="http://code.x2go.org/releases/source/${PN}/${P}.tar.gz"
 
-LICENSE="AGPL-3"
+LICENSE="AGPL-3+"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
 
-DEPEND="dev-python/setproctitle[${PYTHON_USEDEP}]
+RDEPEND="
+	dev-python/setproctitle[${PYTHON_USEDEP}]
 	>=net-misc/python-x2go-0.6.1.1[${PYTHON_USEDEP}]"
-RDEPEND="${DEPEND}"
+
+python_prepare_all() {
+	# we don't need setuptools at runtime
+	sed -i -e '/install_requires/d' setup.py || die
+	distutils-r1_python_prepare_all
+}
 
 python_install() {
 	distutils-r1_python_install


             reply	other threads:[~2021-02-26 14:26 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-02-26 14:26 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-11-16  0:27 [gentoo-commits] repo/gentoo:master commit in: net-misc/pyhoca-cli/ Yixun Lan
2022-07-27 21:27 Bernard Cafarelli
2021-10-24  1:09 Sam James
2021-02-26 14:26 Sam James
2021-02-26 14:26 Sam James
2021-01-01  1:50 Michał Górny
2019-12-30 14:00 Bernard Cafarelli
2019-11-29  9:57 Bernard Cafarelli
2019-11-29  9:57 Bernard Cafarelli
2018-12-05 20:07 Bernard Cafarelli
2018-09-30 20:00 Bernard Cafarelli
2018-09-30 20:00 Bernard Cafarelli
2017-09-25 14:14 Bernard Cafarelli
2017-09-25 14:14 Bernard Cafarelli
2016-01-28 21:58 Bernard Cafarelli

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1614349565.4473f3a6338ff271d2f42f956de3e5d26509b51c.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox